org.hibernate.search.elasticsearch.spi

## Class ElasticsearchIndexManagerType

- java.lang.Object
- - org.hibernate.search.elasticsearch.spi.ElasticsearchIndexManagerType

- All Implemented Interfaces:
    IndexManagerType

      public final class ElasticsearchIndexManagerType
      extends Object
      implements IndexManagerType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElasticsearchIndexManagerType` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerStrategy` | `createAnalyzerStrategy(ServiceManager serviceManager, SearchConfiguration cfg)`
    `MissingValueStrategy` | `createMissingValueStrategy(ServiceManager serviceManager, SearchConfiguration cfg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ElasticsearchIndexManagerType INSTANCE

  - ### Method Detail

    - #### createAnalyzerStrategy

          public AnalyzerStrategy createAnalyzerStrategy(ServiceManager serviceManager,
                                                         SearchConfiguration cfg)

      Specified by:
        `createAnalyzerStrategy` in interface `IndexManagerType`
      Parameters:
        `serviceManager` - the service manager
        `cfg` - the Hibernate Search configuration, providing in particular access to configuration properties.
      Returns:
        a newly created strategy of analyzer execution employed by index managers of this family.

    - #### createMissingValueStrategy

          public MissingValueStrategy createMissingValueStrategy(ServiceManager serviceManager,
                                                                 SearchConfiguration cfg)

      Specified by:
        `createMissingValueStrategy` in interface `IndexManagerType`
      Parameters:
        `serviceManager` - the service manager
        `cfg` - the Hibernate Search configuration, providing in particular access to configuration properties.
      Returns:
        a newly created strategy for missing values employed by index managers of this family.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved